package com.example.hxds.bff.customer.controller.form;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@Schema(description = "领取代金券")
public class TakeVoucherForm {
    @NotNull(message = "id不能为空")
    @Min(value = 1, message = "id不能小于1")
    @Schema(description = "代金券ID")
    private Long id;

    @Schema(description = "客户ID")
    private Long customerId;

    @NotBlank(message = "uuid不能为空")
    @Schema(description = "uuid")
    private String uuid;
}
